/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DAO;

import DTO.Cliente;
import java.sql.Statement;
import java.sql.SQLException;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

/**
 *
 * @author norton
 */
public class ClienteDAO {
    
    private ConexaoSQLite conexao = new ConexaoSQLite();
    
    public ClienteDAO(){
        String sql = "create table if not exists cliente(codigo int, "
                + "nome varchar(100),"
                + "email varchar(100),"
                + "senha varchar(100))";
        try{
            if(this.conexao.conectar()){
                Statement stmt = this.conexao.criarStatement();
                stmt.execute(sql);
                System.out.println("Tabela Cliente Criada !!");
            }
        } 
        catch(SQLException err){
             System.err.println(err.getMessage());
        }
        finally{
           conexao.descontecar();
        }
    }
    
    public int inserir(Cliente obj){
        conexao.conectar();
        String Sql = "insert into cliente(codigo,nome,email,senha) values(?,?,?,?)";
        PreparedStatement stmt = conexao.prepareStatement(Sql);
        try{
            stmt.setInt(1, obj.getCodigo());
            stmt.setString(2, obj.getNome());
            stmt.setString(3, obj.getEmail());
            stmt.setString(4, obj.getSenha());
            return stmt.executeUpdate();
        } 
        catch(SQLException err){
             System.err.println(err.getMessage());
             return 0;
        }
        finally{
           conexao.descontecar();
        }
    }
    
    public Cliente retorna(int codigo){
        conexao.conectar();
        String Sql = "select * from cliente where codigo=?";
        PreparedStatement stmt = conexao.prepareStatement(Sql);
        try{
            stmt.setInt(1, codigo);
            ResultSet retorno = stmt.executeQuery();
            if(retorno.isClosed()==false){
                Cliente obj = new Cliente();
                obj.setCodigo(retorno.getInt("codigo"));
                obj.setNome(retorno.getString("nome"));
                obj.setEmail(retorno.getString("email"));
                obj.setSenha(retorno.getString("senha"));
                return obj;    
            } else {
                return null;
            }
        } 
        catch(SQLException err){
             System.err.println(err.getMessage());
             return null;
        }
        finally{
           conexao.descontecar();
        }    
    }
    
    
    
    
}
